// get the config and package and stuff
import pkg from './package.js';
import sources from './sources.js';
import validDialects from './valid-dialects.js';
import validExports from './valid-exports.js';
const validConfig = (e) => !!e &&
    typeof e === 'object' &&
    (e.exports === undefined || validExports(e['exports'])) &&
    (e.dialects === undefined || validDialects(e['dialects']));
const getConfig = (pkg, sources) => {
    const tshy = validConfig(pkg.tshy) ? pkg.tshy : {};
    if (tshy.exports)
        return tshy;
    const e = {
        './package.json': './package.json',
    };
    for (const i of sources) {
        if (/^\.\/src\/index\.[^\.]+$/.test(i)) {
            e['.'] = i;
            break;
        }
    }
    pkg.tshy = tshy;
    tshy.exports = e;
    return tshy;
};
const config = getConfig(pkg, sources);
export default config;
//# sourceMappingURL=config.js.map